<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.role.add_new_role' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <form [formGroup]="addRole" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.role.new_role' | translate}}</label>
                    <input type="text" name="Name" id="Name" class="form-control" formControlName="Name" placeholder="{{'epdb.role.new_role' | translate}}">
                    <span class="messages text-danger" *ngIf="!addRole.get('Name').valid && addRole.get('Name').touched">* Please Enter Role Name</span>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'general.description' | translate}}</label>
                    <textarea name="Description" id="Description" class="form-control" formControlName="Description" rows="5" placeholder="{{'general.description' | translate}}"></textarea>
                    <span class="messages text-danger" *ngIf="!addRole.get('Name').valid && addRole.get('Name').touched">* Please Enter Description</span>
                </div>
                <div class="col-md-1 col-xl-1 form-group">
                    <label class="col-form-label col-sm-12 row">{{'general.chck_access' | translate}}</label>
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" formControlName="Access">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-md-1 col-xl-1 form-group">
                    <label class="col-form-label col-sm-12 row">{{'general.chck_write' | translate}}</label>
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" formControlName="Write">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-md-1 col-xl-1 form-group">
                    <label class="col-form-label col-sm-12 row">{{'general.chck_delete' | translate}}</label>
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" formControlName="Delete">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-md-6 col-xl-6">&nbsp;</div>
                <div class="col-md-2 col-xl-2 form-group">
                    <label class="col-form-label">&nbsp;</label>
                    <button type="submit" class="btn btn-success btn-md btn-block text-center">
                        <i class="icofont icofont-save"></i> {{'general.btn_save' | translate}}</button>
                    <span class="messages text-success" *ngIf="success">* Role Access is added succesfully</span>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <label class="col-form-label">&nbsp;</label>
                    <button type="button" (click)="resetForm()" class="btn btn-default btn-md btn-block text-center">
                        <i class="icofont icofont-spinner-alt-3"></i> {{ 'general.btn_reset' | translate }} </button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <label class="col-form-label">&nbsp;</label>
                    <button type="button" [routerLink]="['/role/list-access']" class="btn btn-danger btn-md btn-block text-center ">
                        <i class="icofont icofont-ui-close"></i>{{'general.btn_cancel' | translate}} </button>
                </div>
            </div>
        </form>

        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="role | dataFilterRole : filterQuery"
                    #mf2="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="10%">
                                <mfDefaultSorter by="AccessRoleId">{{'epdb.role.role_id' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="30%">
                                <mfDefaultSorter by="Name">{{'epdb.role.role_name' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="50%">
                                <mfDefaultSorter by="Description">{{'general.description' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="10%">{{'general.action' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="role!=null">
                        <tr *ngFor="let item of mf2.data">
                            <td class="text-center">{{item.AccessRoleId}}</td>
                            <td>{{item.Name}}</td>
                            <td>{{item.Description}}</td>
                            <td class="action-icon text-center">
                                <a [routerLink]="['/role/edit-role/',item.AccessRoleId]" class="m-r-15 text-muted f-18 ml-4" ngbTooltip="{{'general.tool_tip_edit' | translate}}">
                                    <i class="icofont icofont-ui-edit"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="role!=null">
                            <td colspan="4">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="role==null">
                            <td colspan="4" class="text-center">{{'general.loading_data' | translate}}</td>
                        </tr>
                        <tr *ngIf="role==''">
                            <td colspan="4" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- modal view detail -->
<!-- <app-modal-basic #viewdetailmodal [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">Role Detail</h4>
        <button type="button" class="close basic-close" (click)="viewdetailmodal.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail==''">
            <div class="col-md-12 col-xl-12 text-center">
                <label class="col-form-label">{{'general.data-empty' | translate}}</label>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail==null">
            <div class="col-md-12 col-xl-12 text-center">
                <label class="col-form-label">{{'general.loading-data' | translate}}</label>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail!=null">
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">Role ID</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.AccessRoleId}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">Role Name</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.Name}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">Description</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.Description}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">Status</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.Status}}</label>
            </div>
        </div>
    </div>
</app-modal-basic>

<app-modal-basic #roleeditmodal [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">{{'epdb.role.edit_role' | translate}}</h4>
        <button type="button" class="close basic-close" (click)="roleeditmodal.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <form [formGroup]="updateRole" (ngSubmit)="onUpdate()">
            <div class="m-4 card-block row dt-responsive">
                <div class="col-md-6 col-xl-6 form-group">
                    <label class="col-form-label">{{'general.description' | translate}}</label>
                    <textarea name="Description" id="Description" class="form-control" formControlName="Description" rows="2"></textarea>
                    <span class="messages text-danger" *ngIf="!updateRole.get('Description').valid && updateRole.get('Description').touched">* Please Enter Description</span>
                </div>
                <div class="col-md-6 col-xl-6"></div>
                <div class="col-md-3 col-xl-3"></div>
                <div class="col-md-3 col-xl-3 form-group">
                    <button type="submit" *ngIf="updateRole.valid" (click)="roleeditmodal.hide()" class="btn btn-success btn-md btn-block text-center">
                        <i class="icofont icofont-save"></i> {{'general.btn_save' | translate}}</button>
                </div>
                <div class="col-md-3 col-xl-3 form-group">
                    <button type="button" (click)="resetFormUpdate()" class="btn btn-default btn-md btn-block text-center">
                        <i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}</button>
                </div>
                <div class="col-md-3 col-xl-3 form-group">
                    <button type="button" (click)="roleeditmodal.hide()" class="btn btn-danger btn-md btn-block text-center">
                        <i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}</button>
                </div>
            </div>
        </form>
    </div>
</app-modal-basic> -->